搜索资源列表
window图形编程
- < window图形编程>>的配套光盘内容,在sample目录下有不少例子。
Raster_vb
- For i = 0 To PicMain.Height MaskLine = False 初始化MaskLine变量 For j = 0 To PicMain.Width CurrentColor = GetPixel(PicMain.hdc, j, i) 取得当前所在点的颜色值 If j < PicMain.Width Then TwoColor = GetPixel(PicMain.hdc, j + 1, i) 取得当前所在点前面一点的值, 用途是当是一条很宽的线条
jisuanjituxing
- 根据多边形区域的填充原理可以推广到圆域的填充,由于圆的特殊属性,即可根据任何欲填充的像素点与圆心的距离是否大于或小于半径来判断是否在圆内或圆外,具体实现程序如下; 利用中点画圆算法实现边界程序: void CArea_FillData::MidpointCircle(int xc, int yc, int r, int color) {//画八分之一的圆 int x,y,d x=0 y=r d=1-r WholeCircle(xc,yc,x,y,color
Out
- 画外接圆的C++代码 //计算外接圆半径 //输入参数: // 三角形三点坐标(ddDot0,ddDot1,ddDot2) //输出参数 // 圆心坐标(ddCenter) // 圆心半径(dRad) //成功:返回值>0 //失败:返回值<=0
Mysdi
- 画圆,只需输入半径就可以自动显示圆< < < < <
二次B样条曲线的绘制
- 从用c语言编出程序要用文件输入数据。 绘制二次B样条曲线的表达式: P(0,2)(t)=P0*G(0,2)(t)+P1*G(1,2)(t)+P2*G(2,2)(t) 0<=t<=1-from using language out to document procedures with the input data. Drawing II B-spline curves of expression : P (0,2) (t) = P0 * G (0,2) (t) * G P1 (1,2
HomeWork
- 该程序使用了Bresenham算法的思想,将四个象限(考虑到斜率<1,>1一共八种情况)的问题通过交换端点的方法合并成一,四象限的问题。-draw line
ji_suan_ji_tu_xing_xue_bao_gao_ji_yuan_cheng_xu.ra
- 这是<<计算机图形学>>的实验课程报告及源程序,说明了各种图形的基本算法,并能将算法用程序实现,最终运用c语言编写绘图程序,得到所需结果。-This is the “computer graphics ” report and the source of the experimental course, indicating a variety of graphics the basic algorithm, and algorithms can achieve wit
MidBresenhamLine
- 中点 Bresenham 算法绘制0<<k<<1直线 C语言 调试成功 Bresenham 算法画圆 调试成功-Bresenham algorithm for drawing
Exercises
- (荷)J.A.卫斯里荷//R.克里斯纳|译者:刘辉 所编著的 《多组分混合物中的质量传递》一书课后练习题的mathcad求解例题。对于想要学习传质和扩散的同学很有帮助的。-mathcad codes for book of <mass transfer in multicomponent mixtures>
cbj
- 查图中各种直径的圆个数,可以快速查出图上有几种直径,并统计出各种直径的数量-(DEFUN C:cbj () (PRINC "查直径及个数") (setq ss (ssget ((0 . "CIRCLE")))) (setq i 0 n 0 zj-j nil) (repeat (sslength ss) (setq el (entget (ssname ss i))) (setq zj (read (rtos (cdr (assoc 40
Visual-LISP
- AutoCAD second development, lisp language development, inside comprehensive, the function is strong- 参加有道翻译用户满意度调查! 自动检测语言 双语对照 中文 » 英语 <~ AutoCAD second development, VBA or language advanced tutorial, through the how-to tutorials
gongyu-guanlixitong
- matlab程序语言,图像增强算法的代码- Function [U, minv, SS] = Nonlinear_Diffusion (U_0, tau, eps, p, T, theta, sigma, fig_handle) Performs nonlinear scalar valued and coupled vector/matrix valued diffusion Inputs: U_0 nxmx dxw input field: D = 1, w
gpath
- cad制图,方便制图,可以在一个图形范围内,简易控制图形输入 - Function C:GPath is the main program function and defines the AutoCAD GPATH command. (defun C:GPath () Ask the user for input: first for path location and direction, then for path parameters. C
Nieuw-Rich-Text-document
- #include<graphics.h> #include<conio.h> main() { int gd = DETECT,gm,left=100,top=100,right=200,bottom=200,x= 300,y=150,radius=50 initgraph(&gd, &gm, C:\\TC\\BGI ) rectangle(left, top, right, bottom) circle(
line2
- 绘制任意斜率的直线段 设计CLine直线类,其数据成员为直线段的起点坐标P0和终点坐标P1,成员函数为MoveTo()和LineTo()函数。 CLine类的LineTo()函数使用中点Bresenham算法绘制任意斜率k的直线段,包括k=±∞、k>1、0≤k≤1、-1≤k<0和k<-1五种情况。 在屏幕客户区按下鼠标左键选择直线的起点,保持鼠标左键按下并移动鼠标到另一位置,弹起鼠标左键绘制任意斜率的直线段。 在状态栏动态显示鼠标光标移动时的位置坐标。-The slope of